Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911044 - Review Request: nodejs-pg - PostgreSQL client for Node.js - pure JavaScript and libpq with the same API
Summary: Review Request: nodejs-pg - PostgreSQL client for Node.js - pure JavaScript a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 911031
Blocks: nodejs-reviews 911022
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:43 UTC by Jamie Nguyen
Modified: 2013-05-16 03:02 UTC (History)
3 users (show)

Fixed In Version: nodejs-pg-0.12.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 17:29:09 UTC
tdawson: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:43:54 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-pg.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-pg-0.12.3-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
PostgreSQL client for Node.js with pure JavaScript client and native
libpq bindings that share the same API.

Supported PostgreSQL features include:
 - parameterized queries
 - named statements with query plan caching
 - asynchronous notifications with LISTEN/NOTIFY
 - bulk import & export with COPY TO/COPY FROM
 - extensible js<->postgresql data-type coercion

Comment 1 Troy Dawson 2013-05-01 16:56:25 UTC
Very good package.  There is only one thing wrong that I was able to find, and that is because it's taken so long to review.
The current version is version 1.1.0, you have 0.12.3.
I know that 0.12.3 was the current version that you packaged this, but if you could update it to 1.1.0 I'll pass it.
It looks like version 1.1.0 has fixes for the patch that you have as well as the dependancy on generic-pool.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Package complies to the Packaging Guidelines
[X]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/quake/review/911044-nodejs-pg/licensecheck.txt
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[X]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-pg-0.12.3-1.fc19.x86_64.rpm
nodejs-pg.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-pg.x86_64: W: spelling-error Summary(en_US) libpq -> lib
nodejs-pg.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-pg.x86_64: W: spelling-error %description -l en_US libpq -> lib
nodejs-pg.x86_64: W: spelling-error %description -l en_US parameterized -> parameter
nodejs-pg.x86_64: W: spelling-error %description -l en_US postgresql -> postgraduate
nodejs-pg.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/pg/build/binding.node 0775L
nodejs-pg.x86_64: W: dangling-symlink /usr/lib/node_modules/pg/node_modules/generic-pool /usr/lib/node_modules/generic-pool
1 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-pg
nodejs-pg.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-pg.x86_64: W: spelling-error Summary(en_US) libpq -> lib
nodejs-pg.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-pg.x86_64: W: spelling-error %description -l en_US libpq -> lib
nodejs-pg.x86_64: W: spelling-error %description -l en_US parameterized -> parameter
nodejs-pg.x86_64: W: spelling-error %description -l en_US postgresql -> postgraduate
nodejs-pg.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/pg/build/binding.node 0775L
nodejs-pg.x86_64: W: dangling-symlink /usr/lib/node_modules/pg/node_modules/generic-pool /usr/lib/node_modules/generic-pool
1 packages and 0 specfiles checked; 1 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-pg (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpq.so.5()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    nodejs(abi)
    nodejs(engine)
    nodejs(v8-abi)
    npm(generic-pool)
    rtld(GNU_HASH)
    v8



Provides
--------
nodejs-pg:
    binding.node()(64bit)
    nodejs-pg
    nodejs-pg(x86-64)
    npm(pg)



Source checksums
----------------
http://registry.npmjs.org/pg/-/pg-0.12.3.tgz :
  CHECKSUM(SHA256) this package     : 7af6d41a7bcffeaa0104bbe7e230d1ae0a828c512df981e8870796d646d04fd7
  CHECKSUM(SHA256) upstream package : 7af6d41a7bcffeaa0104bbe7e230d1ae0a828c512df981e8870796d646d04fd7


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 911044

Comment 2 Jamie Nguyen 2013-05-04 15:30:32 UTC
The 1.1.0 version has a new dependency on the unpackaged "buffer-writer", which itself has a dependency on the unpackaged "cloned". I'll be more than happy to post those for review once I'm available, but for now I'll leave it up to you whether you want to pass nodejs-pg now or wait until the dependencies are packaged so that it's possible to update to 1.1.0.

Comment 3 Troy Dawson 2013-05-04 22:39:53 UTC
Since it is only a "Should" and this is an important package, I will pass it with the version that you packaged, 0.12.3.

APPROVED

Comment 4 Jamie Nguyen 2013-05-05 07:08:01 UTC
New Package SCM Request
=======================
Package Name: nodejs-pg
Short Description: PostgreSQL client for Node.js - pure JavaScript and libpq with the same API
Owners: jamielinux
Branches: f18 f19 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-05-06 12:26:35 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-05-06 16:50:22 UTC
nodejs-pg-0.12.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-pg-0.12.3-1.fc19

Comment 7 Fedora Update System 2013-05-06 16:51:35 UTC
nodejs-pg-0.12.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-pg-0.12.3-1.fc18

Comment 8 Fedora Update System 2013-05-07 18:33:30 UTC
nodejs-pg-0.12.3-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-05-15 17:29:09 UTC
nodejs-pg-0.12.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2013-05-16 03:02:54 UTC
nodejs-pg-0.12.3-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.